jackrabbit-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Julian Reschke <julian.resc...@gmx.de>
Subject Re: jackrabbit-server-1.0.1.war Premature end of file
Date Tue, 06 Jun 2006 13:18:54 GMT
Jukka Zitting schrieb:
> Hi,
> 
> On 6/5/06, Chris Juettner <cmjuettner@eaglejetsys.com> wrote:
>> I'm new to Jackrabbit so I thought the easiest way to get started with 
>> this
>> technology would be to load the WAR download into an existing Tomcat 5.5
>> installation.  I need some help fixing the ConfigurationException thrown
>> when Tomcat is started.  Attached is the stack trace from the log.
> 
> The stack trace suggests that you may have a corrupted workspace.xml
> file within your repository. Check the file
> jackrabbit/repository/workspaces/default/workspace.xml for any
> problems.

I just encountered & solved a similar problem when trying to install 
Jackrabbit on a second machine.

Tomcat 5.0.28 was conf'd to use JDK5. Jackrabbit's workspace bootstrap 
seems to try to create config files using XSLT and failed because of a 
dependency on the JDK 1.4 transformer (bug???).

Re-installing Tomcat 5.0.28 for use with JDK1.4 didn't help first, 
because at this time I already had an empty workspace.xml file. After 
then throwing away /WINDOWS/system32/jackrabbit/..., things worked fine.

Best regards, Julian

Mime
View raw message